#******************************************************************************
#
#       Copyright:      2009-2022 Paul Obermeier (obermeier@tcl3d.org)
#
#                       See the file "Tcl3D_License.txt" for information on
#                       usage and redistribution of this file, and for a
#                       DISCLAIMER OF ALL WARRANTIES.
#
#       Module:         Tcl3D -> tcl3dOsg
#       Filename:       pkgIndex.tcl
#
#       Author:         Paul Obermeier
#
#       Description:    Tcl index file for the tcl3dOsg package.
#
#******************************************************************************

proc __tcl3dOsgSourcePkgs { dir } {
    source -encoding utf-8 [file join $dir tcl3dOsgQuery.tcl]
    load [file join $dir tcl3dOsg@TCL_DEBUG_POSTFIX@[info sharedlibextension]]            Tcl3dosg
    load [file join $dir tcl3dOsgDB@TCL_DEBUG_POSTFIX@[info sharedlibextension]]          Tcl3dosgdb
    load [file join $dir tcl3dOsgFX@TCL_DEBUG_POSTFIX@[info sharedlibextension]]          Tcl3dosgfx
    load [file join $dir tcl3dOsgGA@TCL_DEBUG_POSTFIX@[info sharedlibextension]]          Tcl3dosgga
    load [file join $dir tcl3dOsgManipulator@TCL_DEBUG_POSTFIX@[info sharedlibextension]] Tcl3dosgmanipulator
    load [file join $dir tcl3dOsgOpenThreads@TCL_DEBUG_POSTFIX@[info sharedlibextension]] Tcl3dosgopenthreads
    load [file join $dir tcl3dOsgParticle@TCL_DEBUG_POSTFIX@[info sharedlibextension]]    Tcl3dosgparticle
    load [file join $dir tcl3dOsgSim@TCL_DEBUG_POSTFIX@[info sharedlibextension]]         Tcl3dosgsim
    load [file join $dir tcl3dOsgShadow@TCL_DEBUG_POSTFIX@[info sharedlibextension]]      Tcl3dosgshadow
    load [file join $dir tcl3dOsgTerrain@TCL_DEBUG_POSTFIX@[info sharedlibextension]]     Tcl3dosgterrain
    load [file join $dir tcl3dOsgText@TCL_DEBUG_POSTFIX@[info sharedlibextension]]        Tcl3dosgtext
    load [file join $dir tcl3dOsgUtil@TCL_DEBUG_POSTFIX@[info sharedlibextension]]        Tcl3dosgutil
    load [file join $dir tcl3dOsgViewer@TCL_DEBUG_POSTFIX@[info sharedlibextension]]      Tcl3dosgviewer
    source -encoding utf-8 [file join $dir tcl3dOsgUtil.tcl]
    source -encoding utf-8 [file join $dir tcl3dOsgKeysym.tcl]
    source -encoding utf-8 [file join $dir tcl3dOsgBitmaps.tcl]
}

if { ! [package vsatisfies [package provide Tcl] 8.6-] } {
    return
}
package ifneeded tcl3dosg @TCL3D_VERSION@ "[list __tcl3dOsgSourcePkgs $dir]"
